Przepływy
GET https://pusher.lt/api/flows/
curl --request GET \
--url 'https://pusher.lt/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.lt/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalny Ciąg | Ciąg wyszukiwania. |
| search_by | Opcjonalny Ciąg | Po jakim polu przeszukujesz. Dozwolone wartości to: name, title, description, url. |
| website_id | Opcjonalny Liczba całkowita | |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: last_sent_datetime, datetime, last_datetime |
| datetime_start | Opcjonalny Ciąg | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcjonalny Ciąg | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcjonalny Ciąg | Według jakiego pola sortować wyniki. Dozwolone wartości to: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla kolejności rosnącej oraz DESC dla kolejności malejącej. |
| page | Opcjonalny Liczba całkowita | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Liczba całkowita | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-05 13:15:09",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pusher.lt/api/flows?page=1",
"last": "https://pusher.lt/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://pusher.lt/api/flows?page=1"
}
}
GET https://pusher.lt/api/flows/{flow_id}
curl --request GET \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-05 13:15:09",
}
}
POST https://pusher.lt/api/flows
| Parametry | Szczegóły | Opis |
|---|---|---|
| website_id | Wymagane Liczba całkowita | - |
| name | Wymagane Ciąg | - |
| title | Wymagane Ciąg | - |
| description | Wymagane Ciąg | - |
| url | Opcjonalny Ciąg | - |
| image | Opcjonalny Plik | - |
| wait_time | Wymagane Liczba całkowita | - |
| wait_time_type | Wymagane Ciąg | Dozwolone wartości: minutes, hours, days |
| button_title_1 | Opcjonalny Ciąg | - |
| button_url_1 | Opcjonalny Ciąg | - |
| button_title_2 | Opcjonalny Ciąg | - |
| button_url_2 | Opcjonalny Ciąg | - |
| is_silent | Opcjonalny Logiczny | - |
| is_auto_hide | Opcjonalny Logiczny | - |
| ttl | Opcjonalny Ciąg | Dozwolone wartości: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcjonalny Ciąg | - |
| utm_medium | Opcjonalny Ciąg | - |
| utm_campaign | Opcjonalny Ciąg | - |
| segment | Opcjonalny Ciąg | Dozwolone wartości: all, INT segment_id |
| is_enabled | Opcjonalny Logiczny | - |
| auto_apply_to_matching | Opcjonalny Logiczny | - |
curl --request POST \
--url 'https://pusher.lt/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pusher.lt/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
POST https://pusher.lt/api/flows/{flow_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| website_id | Opcjonalny Liczba całkowita | - |
| name | Opcjonalny Ciąg | - |
| title | Opcjonalny Ciąg | - |
| description | Opcjonalny Ciąg | - |
| url | Opcjonalny Ciąg | - |
| image | Opcjonalny Plik | - |
| wait_time | Opcjonalny Liczba całkowita | - |
| wait_time_type | Opcjonalny Ciąg | Dozwolone wartości: minutes, hours, days |
| button_title_1 | Opcjonalny Ciąg | - |
| button_url_1 | Opcjonalny Ciąg | - |
| button_title_2 | Opcjonalny Ciąg | - |
| button_url_2 | Opcjonalny Ciąg | - |
| is_silent | Opcjonalny Logiczny | - |
| is_auto_hide | Opcjonalny Logiczny | - |
| ttl | Opcjonalny Ciąg | Dozwolone wartości: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcjonalny Ciąg | - |
| utm_medium | Opcjonalny Ciąg | - |
| utm_campaign | Opcjonalny Ciąg | - |
| segment | Opcjonalny Ciąg | Dozwolone wartości: all, INT segment_id |
| is_enabled | Opcjonalny Logiczny | - |
curl --request POST \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pusher.lt/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.lt/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \